---
---

{%- assign anexo = site.data.anexo[page.anexo] -%}
{%- assign resolucion = site.data.resolucion[anexo.resolucion] -%}
{%- assign retiro = site.data.anexo[page.retiro] -%}
{%- assign retiro_resolucion = site.data.resolucion[retiro.resolucion] -%}

<article data-pagefind-body id="{{ page.id }}" lang="{{ site.locale }}">
  <header>
    <h1 class="h2">{{ page.title }}</h1>
  </header>

  <div class="content">
    <dl>
      <dt data-pagefind-ignore>Suspendida</dt>
      <dd data-pagefind-ignore>
        <span class="badge {{ page.suspendida | ternary: "btn-danger", "btn-warning" }}">
          {{ page.suspendida | ternary: "Sí", "No" }}
        </span>
      </dd>

      <dt>Retiro de autorización<dt>
      {% if anexo != retiro %}
        <dd>
          <span class="badge {{ retiro.instructivo | ternary: "btn-danger", "btn-warning" }}">
            {{ retiro.instructivo | ternary: "Sí", "No" }}
          </span>
        </dd>
      {% else %}
        <dd>
          <span class="badge btn-warning">
            No
          </span>
        </dd>
      {% endif %}

      <dt data-pagefind-ignore>Matrícula</dt>
      <dd data-page-find-meta="matricula">{{ page.matricula | default: "No especificada en el anexo" }}</dd>

      <dt data-pagefind-ignore>CUIT</dt>
      <dd data-page-find-meta="cuit">{{ page.cuit | default: "No especificado en el anexo" }}</dd>

      <dt data-pagefind-ignore>Provincia</dt>
      <dd data-page-find-meta="provincia">{{ page.provincia | default: "No especificada en el anexo" }}</dd>

      <dt data-pagefind-ignore>Resolución</dt>
      <dd>
        <a href="{{ resolucion.file | uri_escape }}" download>
          <span data-page-find-meta="resolucion">{{ anexo.resolucion }}</span>
        </a>
      </dd>

      <dt data-pagefind-ignore>Anexo</dt>
      <dd>
        <a href="{{ anexo.file | uri_escape }}" download>
          <span data-page-find-meta="anexo">
            {{- page.anexo -}}
          </span>
        </a>
      </dd>

      {% if anexo.descripcion %}
        <dt data-pagefind-ignore>Descripción</dt>
        <dd data-pagefind-ignore>{{ anexo.descripcion }}</dd>
      {% endif %}

      {% if anexo.significado %}
        <dt data-pagefind-ignore>¿Qué significa?</dt>
        <dd data-pagefind-ignore>{{ anexo.significado | markdownify }}</dd>
      {% endif %}

      {% if anexo.consecuencias %}
        <dt data-pagefind-ignore>Consecuencias</dt>
        <dd data-pagefind-ignore>{{ anexo.consecuencias | markdownify }}</dd>
      {% endif %}

      {%- if retiro and retiro != anexo -%}
        <dt data-pagefind-ignore>Resolución sobre el retiro de autorización</dt>
        <dd>
          <a href="{{ retiro_resolucion.file | uri_escape }}" target="_blank" rel="noopener noreferrer">
            <span data-pagefind-meta="retiro">{{- retiro.resolucion -}}</span>
          </a>
        </dd>

        <dt data-pagefind-ignore>Anexo</dt>
        <dd data-pagefind-ignore>
          <a href="{{ retiro.file | uri_escape }}" download>
            {{ page.retiro }}
          </a>
        </dd>

        <dt data-pagefind-ignore>¿Qué significa?</dt>
        <dd data-pagefind-ignore>{{ retiro.significado | markdownify }}</dd>
      {%- elsif retiro -%}
        {% comment %}No mostrar nada{% endcomment %}
      {%- else -%}
        <dt data-pagefind-ignore>Resolución sobre el retiro de autorización</dt>
        <dd>Se ha cumplido el plazo previsto y no tenemos novedades de la entidad.</dd>
      {%- endif -%}
    </dl>

    {%- if retiro.instructivo -%}
      <a data-pagefind-ignore href="{{ retiro.instructivo | uri_escape }}" target="_blank" rel="noopener noreferrer" class="btn btn-success">
        Iniciar un recurso de reconsideración
      </a>
    {%- endif -%}
  </div>

  <hr />
</article>
